# Module: packet/sym_encrypted_session_key

## packet/sym_encrypted_session_key

#### new require("packet/sym_encrypted_session_key")()

  Source:
    - packet/sym_encrypted_session_key.js, line 40

Source:
  - packet/sym_encrypted_session_key.js, line 18

### Methods

#### decrypt() → {String}

  Decrypts the session key (only for public key encrypted session key packets (tag 1)
  Source:
    - packet/sym_encrypted_session_key.js, line 98

  ##### Returns:

  The unencrypted session key
  Type
    String

#### read(input, position, len) → {module:packet/sym_encrypted_session_key}

  Parsing function for a symmetric encrypted session key packet (tag 3).

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `input` | String | Payload of a tag 1 packet
  `position` | Integer | Position to start reading from the input string
  `len` | Integer | Length of the packet or the remaining length of input at position

  Source:
    - packet/sym_encrypted_session_key.js, line 57

  ##### Returns:

  Object representation
  Type
    module:packet/sym_encrypted_session_key